#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=hovercraft
export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/hovercraft --install-lib=/usr/share/hovercraft
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests/ {build_dir}/
export PYBUILD_TEST_ARGS=tests/test_*.py

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +%F -f -)

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. dh_auto_test

execute_after_dh_auto_install:
	# use packaged impress.js instead of covenience code for binary:
	find debian/hovercraft -name impress.js -exec ln -sfv /usr/share/javascript/impress/impress.js '{}' \;

override_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs debian/hovercraft/usr/share/doc/hovercraft/html
	dh_installdocs

override_dh_installman:
	PYTHONPATH=. python3 -m sphinx -N -bman -D today_fmt="$(DEBDATE)" docs .pybuild
	dh_installman .pybuild/hovercraft.1

override_dh_compress:
	dh_compress -X.rst # save examples
